Delete Marketing Event by External Ids
curl --request DELETE \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Marketing Events
Delete event by external ID
Deletes the existing Marketing Event with the specified externalAccountId, externalEventId, if it exists.
Only Marketing Events created by the same app can be deleted.
DELETE
/
marketing
/
marketing-events
/
2026-03
/
events
/
{externalEventId}
Delete Marketing Event by External Ids
Last modified on September 9, 2026
Was this page helpful?